<h1>User Login</h1>

<%= form_with scope: :session, url: sessions_path, local: true do |form| %>

  <% if @errors && @errors.any? %>
    <div id="error_explanation">
      <h2>
        <%= pluralize(@errors.count, "field") %>  need to be amended before you can login:
      </h2>
      <ul>
        <% @errors.full_messages.each do |msg| %>
          <li><%= msg %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

  <p>
    <%= form.label :username %><br>
    <%= form.text_field :username %>
  </p>

  <p>
    <%= form.submit "Login"%>
  </p>

<% end %>

<%= render 'shared/nav' %>
